[PATCH 16/16] Add a PKGBUILD file to make building on Arch Linux from a git checkout easy.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This might come in handy for anyone else trying out dracut on Arch.

---
 PKGBUILD |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..5776c09
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,20 @@
+pkgname=dracut-git
+pkgver=$(date +%s)
+pkgrel=$(git log --pretty=format:%h |head -n 1)
+pkgdesc="Initramfs generation utility"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/apps/trac/dracut/";
+license=('GPL')
+conflicts=('dracut' 'mkinitcpio')
+provides=('dracut=9999' 'mkinitcpio=9999')
+depends=('bash')
+optdepends=('cryptsetup' 'lvm2')
+makedepends=('libxslt')
+source=()
+md5sums=()
+
+build() {
+  cd ..
+  make sysconfdir=/etc || return 1
+  make DESTDIR="${pkgdir}" sysconfdir=/etc install || return 1
+}
\ No newline at end of file
-- 
1.7.2.1

--
To unsubscribe from this list: send the line "unsubscribe initramfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]

  Powered by Linux